#!/bin/bash

set -e

FILE_FULL_PATH=$(readlink -f $1)

cd runtime
make
cd ..

cd web/public
deno task bundle
cd ../..

set +e
fuser -k 13370/tcp
set -e


./runtime/build/sliger &

cd web

deno run --allow-net --allow-read main.ts $FILE_FULL_PATH

